<?php

namespace Drupal\queue_mail_language\Tests;

use Drupal\language\Entity\ConfigurableLanguage;
use Drupal\queue_mail\Tests\QueueMailFunctionalTest;

/**
 * Tests queue mail functionality with language support.
 *
 * @group queue_mail
 */
class QueueMailLanguageFunctionalTest extends QueueMailFunctionalTest {

  /**
   * {@inheritdoc}
   */
  public static function getInfo() {
    return [
      'name' => 'Queuing mail language',
      'description' => 'Test queuing emails using Queue Mail with language support.',
      'group' => 'Mail',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public static $modules = ['queue_mail_language', 'queue_mail_test'];

  /**
   * {@inheritdoc}
   */
  public function setUp() {
    parent::setUp();

    $this->langcode = 'it';
    ConfigurableLanguage::createFromLangcode($this->langcode)->save();
  }

}
